Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.auth.service_accounts.update_api_key(org_id="<id>", sa_id="<id>", key_id="<id>", scopes=[])
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.auth.serviceAccounts.updateApiKey({
orgId: "<id>",
saId: "<id>",
keyId: "<id>",
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
UpdateServiceAccountApiKeyRequest req = new UpdateServiceAccountApiKeyRequest() {
OrgId = "<id>",
SaId = "<id>",
KeyId = "<id>",
};
var res = await sdk.Auth.ServiceAccounts.UpdateApiKeyAsync(req);
// handle responsecurl --request PATCH \
--url https://apigw.mka1.com/api/v1/authentication/orgs/{orgId}/service-accounts/{saId}/api-keys/{keyId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scopes": [
"<string>"
],
"name": "<string>",
"rateLimitEnabled": true,
"rateLimitTimeWindow": 123,
"rateLimitMax": 123
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scopes: ['<string>'],
name: '<string>',
rateLimitEnabled: true,
rateLimitTimeWindow: 123,
rateLimitMax: 123
})
};
fetch('https://apigw.mka1.com/api/v1/authentication/orgs/{orgId}/service-accounts/{saId}/api-keys/{keyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"updated": true
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Organization
Update a service-account API key
PATCH
/
api
/
v1
/
authentication
/
orgs
/
{orgId}
/
service-accounts
/
{saId}
/
api-keys
/
{keyId}
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.auth.service_accounts.update_api_key(org_id="<id>", sa_id="<id>", key_id="<id>", scopes=[])
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.auth.serviceAccounts.updateApiKey({
orgId: "<id>",
saId: "<id>",
keyId: "<id>",
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
UpdateServiceAccountApiKeyRequest req = new UpdateServiceAccountApiKeyRequest() {
OrgId = "<id>",
SaId = "<id>",
KeyId = "<id>",
};
var res = await sdk.Auth.ServiceAccounts.UpdateApiKeyAsync(req);
// handle responseAuthorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Body
application/json
Was this page helpful?
⌘I